# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: E-Gateway
    countries: [AT, AU, BE, BG, CA, CY, CZ, DE, DK, EE, ES, FI, FR, GB, GR, HU, IE, IS, IT, LI, LT, LU, LV, MT, NL, 'NO', PL, PT, RO, SE, SI, SK, US]
    class: QSL\EGateway\Model\Payment\Processor\EGateway
    type: C
    orderby: 0
    translations: [{code: en, name: E-Gateway}, {code: es, name: E-Gateway}]
    settings: [{name: merchant_id}, {name: from_id}, {name: testMode, value: 1}, {name: prefix, value: xcart_}]
XLite\Model\LanguageLabel:
  - name: 'E-Gateway Merchant ID'
    translations: [{code: en, label: 'Merchant ID'}]
  - name: 'E-Gateway From ID'
    translations: [{code: en, label: 'From ID'}]
  - name: 'E-Gateway Invoice number prefix'
    translations: [{code: en, label: 'Invoice number prefix'}]
